<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="mtb__e2271cs021__display_8h" kind="file" language="C++">
    <compoundname>mtb_e2271cs021_display.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes">cyhal_gpio.h</includes>
    <includedby local="yes" refid="mtb__e2271cs021_8h">mtb_e2271cs021.h</includedby>
    <includedby local="yes" refid="mtb__e2271cs021__pervasive__configuration_8h">mtb_e2271cs021_pervasive_configuration.h</includedby>
    <incdepgraph>
      <node id="17">
        <label>stdbool.h</label>
      </node>
      <node id="16">
        <label>stdint.h</label>
      </node>
      <node id="15">
        <label>mtb_e2271cs021_display.h</label>
        <link refid="mtb__e2271cs021__display_8h" />
        <childnode refid="16" relation="include">
        </childnode>
        <childnode refid="17" relation="include">
        </childnode>
        <childnode refid="18" relation="include">
        </childnode>
      </node>
      <node id="18">
        <label>cyhal_gpio.h</label>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structmtb__e2271cs021__pins__t">mtb_e2271cs021_pins_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__board__libs_1gac83ffb1bb5e530e94ee3ad747256f2a6" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_DISPLAY_SIZE_X</name>
        <initializer>(264u)</initializer>
        <briefdescription>
<para>Number of horizontal pixels in the E-ink display. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="46" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="46" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga3248b2a276a72c33fb159fbd0d803d72" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_DISPLAY_SIZE_Y</name>
        <initializer>(176u)</initializer>
        <briefdescription>
<para>Number of vertical pixels in the E-ink display. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="48" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="48" />
      </memberdef>
      <memberdef id="group__group__board__libs_1gad4f21dcc2f9994a0855e3bfab15cd183" kind="define" prot="public" static="no">
        <name>MTB_E2271CS021_DISPLAY_COLOR_BITS</name>
        <initializer>(1u)</initializer>
        <briefdescription>
<para>Number of bits consumed by each pixel for color information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" bodystart="50" column="9" file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" line="50" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />\file<sp />mtb_e2271cs021_display.h</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="4"><highlight class="comment"><sp />*<sp />Description:<sp />This<sp />file<sp />contains<sp />display<sp />size<sp />and<sp />pin<sp />macros<sp />and<sp />definitons.</highlight></codeline>
<codeline lineno="5"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="6"><highlight class="comment"><sp />*<sp />For<sp />the<sp />details<sp />of<sp />E-INK<sp />display<sp />hardware<sp />and<sp />driver<sp />interface,<sp />see<sp />the</highlight></codeline>
<codeline lineno="7"><highlight class="comment"><sp />*<sp />documents<sp />available<sp />at<sp />the<sp />following<sp />website:</highlight></codeline>
<codeline lineno="8"><highlight class="comment"><sp />*<sp />https://www.pervasivedisplays.com/product/2-71-e-ink-display/</highlight></codeline>
<codeline lineno="9"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="10"><highlight class="comment"><sp />*******************************************************************************</highlight></codeline>
<codeline lineno="11"><highlight class="comment"><sp />*<sp />\copyright</highlight></codeline>
<codeline lineno="12"><highlight class="comment"><sp />*<sp />Copyright<sp />2018-2020<sp />Cypress<sp />Semiconductor<sp />Corporation</highlight></codeline>
<codeline lineno="13"><highlight class="comment"><sp />*<sp />SPDX-License-Identifier:<sp />Apache-2.0</highlight></codeline>
<codeline lineno="14"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="15"><highlight class="comment"><sp />*<sp />Licensed<sp />under<sp />the<sp />Apache<sp />License,<sp />Version<sp />2.0<sp />(the<sp />"License");</highlight></codeline>
<codeline lineno="16"><highlight class="comment"><sp />*<sp />you<sp />may<sp />not<sp />use<sp />this<sp />file<sp />except<sp />in<sp />compliance<sp />with<sp />the<sp />License.</highlight></codeline>
<codeline lineno="17"><highlight class="comment"><sp />*<sp />You<sp />may<sp />obtain<sp />a<sp />copy<sp />of<sp />the<sp />License<sp />at</highlight></codeline>
<codeline lineno="18"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="19"><highlight class="comment"><sp />*<sp /><sp /><sp /><sp /><sp />http://www.apache.org/licenses/LICENSE-2.0</highlight></codeline>
<codeline lineno="20"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="21"><highlight class="comment"><sp />*<sp />Unless<sp />required<sp />by<sp />applicable<sp />law<sp />or<sp />agreed<sp />to<sp />in<sp />writing,<sp />software</highlight></codeline>
<codeline lineno="22"><highlight class="comment"><sp />*<sp />distributed<sp />under<sp />the<sp />License<sp />is<sp />distributed<sp />on<sp />an<sp />"AS<sp />IS"<sp />BASIS,</highlight></codeline>
<codeline lineno="23"><highlight class="comment"><sp />*<sp />WITHOUT<sp />WARRANTIES<sp />OR<sp />CONDITIONS<sp />OF<sp />ANY<sp />KIND,<sp />either<sp />express<sp />or<sp />implied.</highlight></codeline>
<codeline lineno="24"><highlight class="comment"><sp />*<sp />See<sp />the<sp />License<sp />for<sp />the<sp />specific<sp />language<sp />governing<sp />permissions<sp />and</highlight></codeline>
<codeline lineno="25"><highlight class="comment"><sp />*<sp />limitations<sp />under<sp />the<sp />License.</highlight></codeline>
<codeline lineno="26"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />MTB_E2271CS021_DISPLAY_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#define<sp />MTB_E2271CS021_DISPLAY_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_gpio.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal">{</highlight></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="preprocessor">#define<sp />MTB_E2271CS021_DISPLAY_SIZE_X<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(264u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="preprocessor">#define<sp />MTB_E2271CS021_DISPLAY_SIZE_Y<sp /><sp /><sp /><sp /><sp /><sp />(176u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="preprocessor">#define<sp />MTB_E2271CS021_DISPLAY_COLOR_BITS<sp /><sp /><sp /><sp />(1u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="53" refid="structmtb__e2271cs021__pins__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal">{</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_t<sp />spi_mosi;<sp /><sp /></highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_t<sp />spi_miso;<sp /><sp /></highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_t<sp />spi_sclk;<sp /><sp /></highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_t<sp />spi_cs;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_t<sp />reset;<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_t<sp />busy;<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_t<sp />discharge;<sp /></highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_t<sp />enable;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_t<sp />border;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp />cyhal_gpio_t<sp />io_enable;<sp /></highlight></codeline>
<codeline lineno="65"><highlight class="normal">}<sp /><ref kindref="compound" refid="structmtb__e2271cs021__pins__t">mtb_e2271cs021_pins_t</ref>;</highlight></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal">}</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /><sp /></highlight><highlight class="comment">/*<sp />MTB_E2271CS021_DISPLAY_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_E2271CS021/display-eink-e2271cs021/mtb_e2271cs021_display.h" />
  </compounddef>
</doxygen>